servicenowAssignmentGroups
Loads Servicenow assignment groups (sys_user_group)
servicenowAssignmentGroups(
scopeIntegrationId: ID!
name: String
page: Int = 1
perPage: Int = 20
): ServicenowTablesCollection!
Arguments
servicenowAssignmentGroups.scopeIntegrationId ● ID! non-null scalar
servicenowAssignmentGroups.name ● String scalar
Search groups by name
servicenowAssignmentGroups.page ● Int scalar
Page number (default: 1)
servicenowAssignmentGroups.perPage ● Int scalar
Items per page (default: 20)
Type
ServicenowTablesCollection object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetServicenowAssignmentGroups($scopeIntegrationId: ID!) {\n servicenowAssignmentGroups(scopeIntegrationId: $scopeIntegrationId) { collection { id name value } metadata { currentPage limitValue totalCount } }\n}","variables":{"scopeIntegrationId":"<scope_integration_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetServicenowAssignmentGroups($scopeIntegrationId: ID!) {\n servicenowAssignmentGroups(scopeIntegrationId: $scopeIntegrationId) { collection { id name value } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"scopeIntegrationId": "<scope_integration_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetServicenowAssignmentGroups($scopeIntegrationId: ID!) {\n servicenowAssignmentGroups(scopeIntegrationId: $scopeIntegrationId) { collection { id name value } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"scopeIntegrationId\":\"<scope_integration_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contributeResources
By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.
Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.
Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.